﻿Public Class ContPanel


    Public Index As Integer

    Public Event 逆転_Click(ByVal index As Integer)
    Public Event ポイント_Click(ByVal index As Integer)



    Public Sub New(ByVal i As Integer)
        ' The Me.InitializeComponent call is required for Windows Forms designer support.
        Me.InitializeComponent()

        '
        ' TODO : Add constructor code after InitializeComponents
        '
        Index = i
    End Sub

    Public Property Speed_Cont() As Integer 'Speed コントローラ
        Get
            Return TrackBar1.Value
        End Get

        Set(ByVal Value As Integer)
            TrackBar1.Value = Value
        End Set
    End Property

    Public WriteOnly Property Speed_Meter() As Integer  'Speed メーター
        Set(ByVal Value As Integer)
            Dim speed_max As Integer = 500

            RectangleShape2.Height = CInt(Value / speed_max * RectangleShape1.Height)
            RectangleShape2.Top = RectangleShape1.Top + RectangleShape1.Height - RectangleShape2.Height

        End Set
    End Property

    Public WriteOnly Property 信号() As String
        Set(ByVal value As String)

            Select Case value
                Case "緑"
                    Label1.BackColor = Color.LightGreen
                Case "黄"
                    Label1.BackColor = Color.Yellow
                Case "赤"
                    Label1.BackColor = Color.LightPink
            End Select
        End Set
    End Property

    Private Sub ContPanel_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        TrackBar1.Maximum = 255
        TrackBar1.TickFrequency = 10


        'スピードメーターの設定
        RectangleShape2.FillStyle = PowerPacks.FillStyle.Solid
        RectangleShape2.FillColor = Color.Pink
        RectangleShape2.Left = RectangleShape1.Left
        RectangleShape2.Width = RectangleShape1.Width
        RectangleShape2.Height = 0
        RectangleShape2.Top = RectangleShape1.Top + RectangleShape1.Height - RectangleShape2.Height


        '逆転ボタン用checkboxの設定
        CheckBox1.Appearance = Appearance.Button
        CheckBox1.AutoSize = False
        CheckBox1.Size = Button1.Size
        CheckBox1.TextAlign = ContentAlignment.MiddleCenter
        CheckBox1.Text = "逆転"

        Button1.Text = "停止"

        '逆転ボタン用checkboxの設定
        CheckBox2.Appearance = Appearance.Button
        CheckBox2.AutoSize = False
        CheckBox2.Size = Button1.Size
        CheckBox2.TextAlign = ContentAlignment.MiddleCenter
        CheckBox2.Text = "ポイント"


        Label1.BackColor = Color.LightGreen

    End Sub



    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        RaiseEvent 逆転_Click(Index)
    End Sub

    Private Sub CheckBox2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox2.CheckedChanged
        RaiseEvent ポイント_Click(Index)
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        '停止ボタンでスライダーを０にする
        TrackBar1.Value = 0
    End Sub

End Class
